Add a plan to a product
Adds a plan to an existing product. The plan body is the same shape createProduct accepts inside plans.
Admins and Developers can obtain their Bolt API key from the Bolt Merchant Dashboard. Send it together with X-Publishable-Key.
In: header
Path Parameters
ID of the product to add the plan to.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/subscriptions/products/sp_Tlj0Osm0N76T/plans" \ -H "Content-Type: application/json" \ -d '{ "name": "Monthly", "frequency": 1, "frequency_unit": "month" }'{ "id": "spl_ba_PpkW16oIW", "name": "Monthly Subscription", "sku": "BOLT-12345", "created_at": "2023-10-01T12:00:00Z", "updated_at": "2023-10-01T12:00:00Z", "frequency": 1, "product_id": "sp_Tlj0Osm0N76T", "frequency_unit": "month", "initial_period": { "frequency": 2, "frequency_unit": "week" }, "checkout_link": "https://your_site.c.boltapp.com/g?merchant_product_id=37&merchant_variant_id=67&publishable_key=BQ9PKQksUGtj.Q9LwVLfV3WF4.32122926f7b9651a416a5099dc92dc2b4c87c8b922c114229f83b345d65f1195", "base_price": 3000, "ubb": true, "usage_pricing": [ { "meter_name": "API Calls", "event_type": "api_call", "aggregation_type": "sum", "charge_model": "per_unit", "charge_config": {}, "currency": "USD" } ], "status": "active", "currency": "USD", "trial": { "trial_days": 14 }, "usage": { "meter_id": 0, "charge_model": "string", "charge_config": {}, "sessions": [ { "duration": 0, "duration_unit": "string", "alert_threshold": "string" } ] }}